Qt API | Qtopia API | Qtopia Documentation |

# DocPropertiesWidget Class Reference

The DocPropertiesWidget class provides controls for modifying an AppLnks properties. More...

`#include <qtopia/docproperties.h>`

Inherits QWidget.

List of all member functions.

## Public Members

- DocPropertiesWidget ( AppLnk * l, QWidget * parent = 0, const char * name = 0 )
- ~DocPropertiesWidget ()

## Public Slots

- void applyChanges ()

## Signals

- void done ()

## Protected Slots

- void beamLnk ()
- void unlinkLnk ()
- void duplicateLnk ()

## Detailed Description

The DocPropertiesWidget class provides controls for modifying an AppLnks properties.

The DocPropertiesWidget and allows modification of the name, location, and category of a file associated with a particular AppLnk. The file can also be deleted, copied and beamed from the DocPropertiesWidget.

See also DocPropertiesDialog and Qtopia Classes.

## Member Function Documentation

### DocPropertiesWidget::DocPropertiesWidget ( AppLnk * l, QWidget * parent = 0, const char * name = 0 )

Constructs a DocPropertiesWidget with parent parent and name name. l is a pointer to an existing AppLnk.

### DocPropertiesWidget::~DocPropertiesWidget ()

Destroys the widget.

### void DocPropertiesWidget::applyChanges ()`[slot]`

Applys any changes made on the DocPropertiesWidget.

### void DocPropertiesWidget::beamLnk ()`[protected slot]`

Beams the associated document.

### void DocPropertiesWidget::done ()`[signal]`

This signal is emitted when a file is deleted, copied or beamed from the DocPropertiesWidget.

### void DocPropertiesWidget::duplicateLnk ()`[protected slot]`

Performs a copy operation.

### void DocPropertiesWidget::unlinkLnk ()`[protected slot]`

Deletes the file associated with this link.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.